Bug 55097 - bad: xconfig fails, good: config & menuconfig works
Summary: bad: xconfig fails, good: config & menuconfig works
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-25 15:11 UTC by Mika Länsirinne
Modified: 2007-04-18 16:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2001-11-03 17:45:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:142 normal SHIPPED_LIVE kernel 2.2 and 2.4: kernel 2.2 and 2.4: 2001-10-26 04:00:00 UTC

Description Mika Länsirinne 2001-10-25 15:11:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.10 i686)

Description of problem:
In kernel-source -package:
There is a typo in drivers/net/Config.in: an additional line 278 which
contains "P" should be removed. "make config" & "make menuconfig" don't
fail, but "make xconfig" fails at the start.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd /usr/src/linux-2.4
2.make xconfig
3.
	

Additional info:

Comment 1 Mika Länsirinne 2001-10-25 15:19:04 UTC
The additional "P" in the line 278 belongs to the end of line 277, the last
letter in the word "$CONFIG_PPP".

<=> there is just additional line break inside "$CONFIG_PPP".



Comment 2 Mika Länsirinne 2001-10-25 15:22:03 UTC
The additional "P" in the line 278 belongs to the end of line 277, the last
letter in the word "$CONFIG_PPP".

<=> there is just additional line break inside "$CONFIG_PPP".



Comment 3 bammi 2001-10-25 16:42:04 UTC
Similarly there is another bug that trips up make xconfig (but not 
config/menuconfig) in drivers/addon/Config.in, line 7 is missing an " m" at the 
end of the line (the default value for CONFIG_NET_BROADCOM).

++jrb
bammi@cadence.com


Comment 4 Michael Schwendt 2001-10-26 08:55:24 UTC
Duplicate of bug #55025.

Comment 5 Alan Cox 2001-11-03 17:44:13 UTC
The PPP one is fixed in my base tree. The Broadcom one is RH specific 


Comment 6 Arjan van de Ven 2001-11-03 17:49:04 UTC
fixed in the yesterday released kernel erratum (2.4.9-12 for 7.1 and 2.4.9-13
for 7.2)


Note You need to log in before you can comment on or make changes to this bug.